Subject: bug#58509: 29.0.50; Synchronous nativecomp

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 17 Oct 2022 13:20:18 +0200

Andrea Corallo <[email-masked]> writes:

> I think `inhibit-automatic-native-compilation' does already too many
> things (with an abstraction I find definitely too weak), that's the
> reason I'm against it.  I don't think I want it to do even more.

Well, the "more" here is very small.  A new value like `full' or `total'
to `inhibit-automatic-native-compilation' would solve the fork bomb subr
problem.

I.e., EMACS_INHIBIT_AUTOMATIC_NATIVE_COMPILATION=full when forking the
compiling Emacs would do the trick without introducing yet another
twiddle here.